Page MenuHomePhabricator

MobileFrontend beta back to top button has broken display on RTL wikis
Closed, ResolvedPublic

Description

Some time ago MobileFrontend [beta] acquired a nice blue button that goes to the
top of the screen.

In RTL wikis the upward-pointing arrow in this button is misaligned.

Some hints:
It should be enough to add a change to the LESS file of the back to top feature, which distinguish the left/right 50% value using the rtl and ltr class, which is added to the html tag :)

Event Timeline

Amire80 created this task.Dec 5 2015, 10:54 AM
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 5 2015, 10:54 AM
Amire80 set Security to None.
Restricted Application added a project: I18n. · View Herald TranscriptDec 5 2015, 10:57 AM
Jdlrobson renamed this task from MobileFrontend home button has broken display on RTL wikis to MobileFrontend beta back to top button has broken display on RTL wikis.Dec 7 2015, 5:43 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson triaged this task as Low priority.Dec 9 2015, 5:59 PM
Jdlrobson added subscribers: Florian, Jdlrobson.

Adding it to GCI :) Thanks for pointing this out @Amire80, haven't thought about that when implementing this :)

Florian updated the task description. (Show Details)Dec 9 2015, 6:05 PM
Neonowy claimed this task.Dec 15 2015, 8:19 PM

Change 259426 had a related patch set uploaded (by Neonowy):
Fix misaligned back to top button on RTL wikis

https://gerrit.wikimedia.org/r/259426

Change 259426 merged by jenkins-bot:
Fix misaligned back to top button on RTL wikis

https://gerrit.wikimedia.org/r/259426

Jdlrobson closed this task as Resolved.Dec 16 2015, 12:46 AM